package com.dayou.bo;

import com.dayou.entity.ItemBrokerageDetail;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 类说明：
 *
 * @author: wucl
 * @since: 2023/3/6
 * created with IntelliJ IDEA.
 */
@Data
public class BrokerageDetailBO extends ItemBrokerageDetail {

    /**
     * 市场人员是否可以预提
     */
    private Boolean marketerAdvanceBrokerageAble;

    /**
     * 项目提成状态
     */
    private String itemBrokerageStatus;

    /**
     * 本年回款目标金额
     */
    private BigDecimal paymentTarget;

    /**
     * 当前回款金额
     */
    private BigDecimal currentPayment;
}
