package com.dayou.brokerage.config;

import cn.hutool.core.util.StrUtil;
import com.dayou.brokerage.validator.BrokerageValidator;
import com.dayou.enums.GlobalConfigEnum;
import com.dayou.service.IGlobalConfigService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import java.math.BigDecimal;

/**
 * 类说明：
 *
 * @author: wucl
 * @since: 2023/3/3
 * created with IntelliJ IDEA.
 */
@Configuration
public class BrokerageConfig {

    @Bean(initMethod = "setStatus")
    public BrokerageValidator brokerageValidator() {
        BrokerageValidator brokerageValidator = new BrokerageValidator();
        return brokerageValidator;
    }

    @Bean(initMethod = "loadRatioList")
    public BrokerageMarketerRatioSet brokerageMarketerRatioSet(){
        BrokerageMarketerRatioSet brokerageMarketerRatioSet = new BrokerageMarketerRatioSet();
        return brokerageMarketerRatioSet;
    }


}
